/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for an image asset object.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class ImageAsset extends GenericJson {

  /**
   * The height of the asset.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer height;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#imageAsset.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The name of the asset.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String name;

  /**
   * The URL of the asset.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String url;

  /**
   * The width of the asset.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer width;

  /**
   * The height of the asset.
   * The value returned may be {@code null}.
   */
  public Integer getHeight() {
    return height;
  }

  /**
   * The height of the asset.
   * The value set may be {@code null}.
   */
  public ImageAsset setHeight(Integer height) {
    this.height = height;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#imageAsset.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#imageAsset.
   * The value set may be {@code null}.
   */
  public ImageAsset setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The name of the asset.
   * The value returned may be {@code null}.
   */
  public String getName() {
    return name;
  }

  /**
   * The name of the asset.
   * The value set may be {@code null}.
   */
  public ImageAsset setName(String name) {
    this.name = name;
    return this;
  }

  /**
   * The URL of the asset.
   * The value returned may be {@code null}.
   */
  public String getUrl() {
    return url;
  }

  /**
   * The URL of the asset.
   * The value set may be {@code null}.
   */
  public ImageAsset setUrl(String url) {
    this.url = url;
    return this;
  }

  /**
   * The width of the asset.
   * The value returned may be {@code null}.
   */
  public Integer getWidth() {
    return width;
  }

  /**
   * The width of the asset.
   * The value set may be {@code null}.
   */
  public ImageAsset setWidth(Integer width) {
    this.width = width;
    return this;
  }

}
