/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for the iOS details resource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class InstanceIosDetails extends GenericJson {

  /**
   * Bundle identifier.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String bundleIdentifier;

  /**
   * iTunes App ID.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String itunesAppId;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#instanceIosDetails.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Indicates that this instance is the default for new installations on iPad devices.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean preferredForIpad;

  /**
   * Indicates that this instance is the default for new installations on iPhone devices.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean preferredForIphone;

  /**
   * Flag to indicate if this instance supports iPad.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean supportIpad;

  /**
   * Flag to indicate if this instance supports iPhone.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean supportIphone;

  /**
   * Bundle identifier.
   * The value returned may be {@code null}.
   */
  public String getBundleIdentifier() {
    return bundleIdentifier;
  }

  /**
   * Bundle identifier.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setBundleIdentifier(String bundleIdentifier) {
    this.bundleIdentifier = bundleIdentifier;
    return this;
  }

  /**
   * iTunes App ID.
   * The value returned may be {@code null}.
   */
  public String getItunesAppId() {
    return itunesAppId;
  }

  /**
   * iTunes App ID.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setItunesAppId(String itunesAppId) {
    this.itunesAppId = itunesAppId;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#instanceIosDetails.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#instanceIosDetails.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Indicates that this instance is the default for new installations on iPad devices.
   * The value returned may be {@code null}.
   */
  public Boolean getPreferredForIpad() {
    return preferredForIpad;
  }

  /**
   * Indicates that this instance is the default for new installations on iPad devices.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setPreferredForIpad(Boolean preferredForIpad) {
    this.preferredForIpad = preferredForIpad;
    return this;
  }

  /**
   * Indicates that this instance is the default for new installations on iPhone devices.
   * The value returned may be {@code null}.
   */
  public Boolean getPreferredForIphone() {
    return preferredForIphone;
  }

  /**
   * Indicates that this instance is the default for new installations on iPhone devices.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setPreferredForIphone(Boolean preferredForIphone) {
    this.preferredForIphone = preferredForIphone;
    return this;
  }

  /**
   * Flag to indicate if this instance supports iPad.
   * The value returned may be {@code null}.
   */
  public Boolean getSupportIpad() {
    return supportIpad;
  }

  /**
   * Flag to indicate if this instance supports iPad.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setSupportIpad(Boolean supportIpad) {
    this.supportIpad = supportIpad;
    return this;
  }

  /**
   * Flag to indicate if this instance supports iPhone.
   * The value returned may be {@code null}.
   */
  public Boolean getSupportIphone() {
    return supportIphone;
  }

  /**
   * Flag to indicate if this instance supports iPhone.
   * The value set may be {@code null}.
   */
  public InstanceIosDetails setSupportIphone(Boolean supportIphone) {
    this.supportIphone = supportIphone;
    return this;
  }

}
