/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for a list of score submission requests
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PlayerScoreSubmissionList extends GenericJson {

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#playerScoreSubmissionList.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The score submissions.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<ScoreSubmission> scores;

  static {
    // hack to force ProGuard to consider ScoreSubmission used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(ScoreSubmission.class);
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#playerScoreSubmissionList.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#playerScoreSubmissionList.
   * The value set may be {@code null}.
   */
  public PlayerScoreSubmissionList setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The score submissions.
   * The value returned may be {@code null}.
   */
  public java.util.List<ScoreSubmission> getScores() {
    return scores;
  }

  /**
   * The score submissions.
   * The value set may be {@code null}.
   */
  public PlayerScoreSubmissionList setScores(java.util.List<ScoreSubmission> scores) {
    this.scores = scores;
    return this;
  }

}
