/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for a join room request.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class RoomJoinRequest extends GenericJson {

  /**
   * The capabilities that this client supports for realtime communication.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> capabilities;

  /**
   * Client address for the player joining the room.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private RoomClientAddress clientAddress;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#roomJoinRequest.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Network diagnostics for the client joining the room.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private NetworkDiagnostics networkDiagnostics;

  /**
   * The capabilities that this client supports for realtime communication.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getCapabilities() {
    return capabilities;
  }

  /**
   * The capabilities that this client supports for realtime communication.
   * The value set may be {@code null}.
   */
  public RoomJoinRequest setCapabilities(java.util.List<String> capabilities) {
    this.capabilities = capabilities;
    return this;
  }

  /**
   * Client address for the player joining the room.
   * The value returned may be {@code null}.
   */
  public RoomClientAddress getClientAddress() {
    return clientAddress;
  }

  /**
   * Client address for the player joining the room.
   * The value set may be {@code null}.
   */
  public RoomJoinRequest setClientAddress(RoomClientAddress clientAddress) {
    this.clientAddress = clientAddress;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#roomJoinRequest.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#roomJoinRequest.
   * The value set may be {@code null}.
   */
  public RoomJoinRequest setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Network diagnostics for the client joining the room.
   * The value returned may be {@code null}.
   */
  public NetworkDiagnostics getNetworkDiagnostics() {
    return networkDiagnostics;
  }

  /**
   * Network diagnostics for the client joining the room.
   * The value set may be {@code null}.
   */
  public RoomJoinRequest setNetworkDiagnostics(NetworkDiagnostics networkDiagnostics) {
    this.networkDiagnostics = networkDiagnostics;
    return this;
  }

}
