/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for room leave diagnostics.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class RoomLeaveDiagnostics extends GenericJson {

  /**
   * Android network subtype.
   * http://developer.android.com/reference/android/net/NetworkInfo.html#getSubtype()
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer androidNetworkSubtype;

  /**
   * Android network type.
   * http://developer.android.com/reference/android/net/NetworkInfo.html#getType()
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer androidNetworkType;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#roomLeaveDiagnostics.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Diagnostics about all peer sessions.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<PeerSessionDiagnostics> peerSession;

  static {
    // hack to force ProGuard to consider PeerSessionDiagnostics used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(PeerSessionDiagnostics.class);
  }

  /**
   * Whether or not sockets were used.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean socketsUsed;

  /**
   * Android network subtype.
   * http://developer.android.com/reference/android/net/NetworkInfo.html#getSubtype()
   * The value returned may be {@code null}.
   */
  public Integer getAndroidNetworkSubtype() {
    return androidNetworkSubtype;
  }

  /**
   * Android network subtype.
   * http://developer.android.com/reference/android/net/NetworkInfo.html#getSubtype()
   * The value set may be {@code null}.
   */
  public RoomLeaveDiagnostics setAndroidNetworkSubtype(Integer androidNetworkSubtype) {
    this.androidNetworkSubtype = androidNetworkSubtype;
    return this;
  }

  /**
   * Android network type.
   * http://developer.android.com/reference/android/net/NetworkInfo.html#getType()
   * The value returned may be {@code null}.
   */
  public Integer getAndroidNetworkType() {
    return androidNetworkType;
  }

  /**
   * Android network type.
   * http://developer.android.com/reference/android/net/NetworkInfo.html#getType()
   * The value set may be {@code null}.
   */
  public RoomLeaveDiagnostics setAndroidNetworkType(Integer androidNetworkType) {
    this.androidNetworkType = androidNetworkType;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#roomLeaveDiagnostics.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#roomLeaveDiagnostics.
   * The value set may be {@code null}.
   */
  public RoomLeaveDiagnostics setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Diagnostics about all peer sessions.
   * The value returned may be {@code null}.
   */
  public java.util.List<PeerSessionDiagnostics> getPeerSession() {
    return peerSession;
  }

  /**
   * Diagnostics about all peer sessions.
   * The value set may be {@code null}.
   */
  public RoomLeaveDiagnostics setPeerSession(java.util.List<PeerSessionDiagnostics> peerSession) {
    this.peerSession = peerSession;
    return this;
  }

  /**
   * Whether or not sockets were used.
   * The value returned may be {@code null}.
   */
  public Boolean getSocketsUsed() {
    return socketsUsed;
  }

  /**
   * Whether or not sockets were used.
   * The value set may be {@code null}.
   */
  public RoomLeaveDiagnostics setSocketsUsed(Boolean socketsUsed) {
    this.socketsUsed = socketsUsed;
    return this;
  }

}
